Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.gwt.user.client.ui
Class DialogBox

    java.lang.Object
      com.google.gwt.user.client.ui.UIObject
          com.google.gwt.user.client.ui.Widget
              com.google.gwt.user.client.ui.Panel
                  com.google.gwt.user.client.ui.SimplePanel
                      com.google.gwt.user.client.ui.PopupPanel
                          com.google.gwt.user.client.ui.DecoratedPopupPanel
                              com.google.gwt.user.client.ui.DialogBox

All Implemented Interfaces:
  EventListener, EventPreview, HasAnimation, HasHTML, HasText, HasWidgets, MouseListener, SourcesPopupEvents, java.lang.Iterable<Widget>

    public class DialogBox

extends DecoratedPopupPanel
implements HasHTML, HasText, MouseListener

A form of popup that has a caption area at the top and can be dragged by the user. Unlike a PopupPanel, calls to `PopupPanel.setWidth(String)` and `PopupPanel.setHeight(String)` will set the width and height of the dialog box itself, even if a widget has not been added as yet.

### CSS Style Rules

- .gwt-DialogBox { the outside of the dialog }
- .gwt-DialogBox .Caption { the caption }
- .gwt-DialogBox .dialogContent { the wrapepr around the content }
- .gwt-DialogBox .dialogTopLeft { the top left cell }
- .gwt-DialogBox .dialogTopLeftInner { the inner element of the cell }
- .gwt-DialogBox .dialogTopCenter { the top center cell, where the caption is located }
- .gwt-DialogBox .dialogTopCenterInner { the inner element of the cell }
- .gwt-DialogBox .dialogTopRight { the top right cell }
- .gwt-DialogBox .dialogTopRightInner { the inner element of the cell }
- .gwt-DialogBox .dialogMiddleLeft { the middle left cell }
- .gwt-DialogBox .dialogMiddleLeftInner { the inner element of the cell }
- .gwt-DialogBox .dialogMiddleCenter { the middle center cell, where the content is located }
- .gwt-DialogBox .dialogMiddleCenterInner { the inner element of the cell }
- .gwt-DialogBox .dialogMiddleRight { the middle right cell }
- .gwt-DialogBox .dialogMiddleRightInner { the inner element of the cell }
- .gwt-DialogBox .dialogBottomLeft { the bottom left cell }
- .gwt-DialogBox .dialogBottomLeftInner { the inner element of the cell }
- .gwt-DialogBox .dialogBottomCenter { the bottom center cell }
- .gwt-DialogBox .dialogBottomCenterInner { the inner element of the cell }
- .gwt-DialogBox .dialogBottomRight { the bottom right cell }
- .gwt-DialogBox .dialogBottomRightInner { the inner element of the cell }

### Example

>     public class DialogBoxExample implements EntryPoint, ClickListener {

>       private static class MyDialog extends DialogBox {

>         public MyDialog() {
>           // Set the dialog box's caption.
>           setText("My First Dialog");

>           // DialogBox is a SimplePanel, so you have to set its widget property to
>           // whatever you want its contents to be.
>           Button ok = new Button("OK");
>           ok.addClickListener(new ClickListener() {
>             public void onClick(Widget sender) {
>               MyDialog.this.hide();
>             }
>           });
>           setWidget(ok);
>         }
>       }

>       public void onModuleLoad() {
>         Button b = new Button("Click me");
>         b.addClickListener(this);

>         RootPanel.get().add(b);
>       }

>       public void onClick(Widget sender) {
>         // Instantiate the dialog box and show it.
>         new MyDialog().show();
>       }
>     }

Nested Class Summary

Nested classes/interfaces inherited from class com.google.gwt.user.client.ui.PopupPanel
`PopupPanel.PositionCallback`

Nested classes/interfaces inherited from class com.google.gwt.user.client.ui.UIObject
`UIObject.DebugIdImpl, UIObject.DebugIdImplEnabled`

Field Summary

Fields inherited from class com.google.gwt.user.client.ui.UIObject
`DEBUG_ID_PREFIX`

Constructor Summary
`DialogBox()` Creates an empty dialog box.
`DialogBox(boolean autoHide)` Creates an empty dialog box specifying its "auto-hide" property.
`DialogBox(boolean autoHide, boolean modal)` Creates an empty dialog box specifying its "auto-hide" property.

Method Summary
`protected void` | `doAttachChildren()` If a widget implements HasWidgets, it must override this method and call onAttach() for each of its child widgets.
`protected void` | `doDetachChildren()` If a widget implements HasWidgets, it must override this method and call onDetach() for each of its child widgets.
`java.lang.String` | `getHTML()` Gets this object's contents as HTML.
`java.lang.String` | `getText()` Gets this object's text.
`protected void` | `onEnsureDebugId(java.lang.String baseID)` Affected Elements: -caption = text at the top of the `DialogBox`. -content = the container around the content.
`boolean` | `onEventPreview(Event event)` Called when a browser event occurs and this event preview is on top of the preview stack.
`void` | `onMouseDown(Widget sender, int x, int y)` Fired when the user depresses the mouse button over a widget.
`void` | `onMouseEnter(Widget sender)` Fired when the mouse enters a widget's area.
`void` | `onMouseLeave(Widget sender)` Fired when the mouse leaves a widget's area.
`void` | `onMouseMove(Widget sender, int x, int y)` Fired when the user moves the mouse over a widget.
`void` | `onMouseUp(Widget sender, int x, int y)` Fired when the user releases the mouse button over a widget.
`void` | `setHTML(java.lang.String html)` Sets the html string inside the caption.
`void` | `setText(java.lang.String text)` Sets the text inside the caption.

Methods inherited from class com.google.gwt.user.client.ui.DecoratedPopupPanel
`clear, getCellElement, getWidget, iterator, remove, setWidget`

Methods inherited from class com.google.gwt.user.client.ui.PopupPanel
`addPopupListener, center, getContainerElement, getOffsetHeight, getOffsetWidth, getPopupLeft, getPopupTop, getTitle, hide, isAnimationEnabled, onDetach, onKeyDownPreview, onKeyPressPreview, onKeyUpPreview, removePopupListener, setAnimationEnabled, setHeight, setPopupPosition, setPopupPositionAndShow, setTitle, setVisible, setWidth, show`

Methods inherited from class com.google.gwt.user.client.ui.SimplePanel
`add`

Methods inherited from class com.google.gwt.user.client.ui.Panel
`adopt, adopt, disown, onLoad, onUnload, orphan`

Methods inherited from class com.google.gwt.user.client.ui.Widget
`getParent, isAttached, onAttach, onBrowserEvent, removeFromParent`

Methods inherited from class com.google.gwt.user.client.ui.UIObject
`addStyleDependentName, addStyleName, ensureDebugId, ensureDebugId, ensureDebugId, getAbsoluteLeft, getAbsoluteTop, getElement, getStyleElement, getStyleName, getStyleName, getStylePrimaryName, getStylePrimaryName, isVisible, isVisible, removeStyleDependentName, removeStyleName, setElement, setElement, setPixelSize, setSize, setStyleName, setStyleName, setStyleName, setStylePrimaryName, setStylePrimaryName, setVisible, sinkEvents, toString, unsinkEvents`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DialogBox

    public DialogBox()

  Creates an empty dialog box. It should not be shown until its child widget has been added using `SimplePanel.add(Widget)`.

### DialogBox

    public DialogBox(boolean autoHide)

  Creates an empty dialog box specifying its "auto-hide" property. It should not be shown until its child widget has been added using `SimplePanel.add(Widget)`.

  Parameters:
    `autoHide` - `true` if the dialog should be automatically hidden when the user clicks outside of it

### DialogBox

    public DialogBox(boolean autoHide,
                     boolean modal)

  Creates an empty dialog box specifying its "auto-hide" property. It should not be shown until its child widget has been added using `SimplePanel.add(Widget)`.

  Parameters:
    `autoHide` - `true` if the dialog should be automatically hidden when the user clicks outside of it
    `modal` - `true` if keyboard and mouse events for widgets not contained by the dialog should be ignored

Method Detail

### getHTML

    public java.lang.String getHTML()

  Description copied from interface: `HasHTML`
  Gets this object's contents as HTML.

  Specified by:
    `getHTML` in interface `HasHTML`
  Returns:
    the object's HTML

### getText

    public java.lang.String getText()

  Description copied from interface: `HasText`
  Gets this object's text.

  Specified by:
    `getText` in interface `HasText`
  Returns:
    the object's text

### onEventPreview

    public boolean onEventPreview(Event event)

  Description copied from interface: `EventPreview`
  Called when a browser event occurs and this event preview is on top of the preview stack.

  Specified by:
    `onEventPreview` in interface `EventPreview`
  Overrides:
    `onEventPreview` in class `PopupPanel`
  Parameters:
    `event` - the browser event
  Returns:
    `false` to cancel the event
  See Also:
    `DOM.addEventPreview(EventPreview)`

### onMouseDown

    public void onMouseDown(Widget sender,
                            int x,
                            int y)

  Description copied from interface: `MouseListener`
  Fired when the user depresses the mouse button over a widget.

  Specified by:
    `onMouseDown` in interface `MouseListener`
  Parameters:
    `sender` - the widget sending the event
    `x` - the x coordinate of the mouse
    `y` - the y coordinate of the mouse

### onMouseEnter

    public void onMouseEnter(Widget sender)

  Description copied from interface: `MouseListener`
  Fired when the mouse enters a widget's area.

  Specified by:
    `onMouseEnter` in interface `MouseListener`
  Parameters:
    `sender` - the widget sending the event

### onMouseLeave

    public void onMouseLeave(Widget sender)

  Description copied from interface: `MouseListener`
  Fired when the mouse leaves a widget's area.

  Specified by:
    `onMouseLeave` in interface `MouseListener`
  Parameters:
    `sender` - the widget sending the event

### onMouseMove

    public void onMouseMove(Widget sender,
                            int x,
                            int y)

  Description copied from interface: `MouseListener`
  Fired when the user moves the mouse over a widget.

  Specified by:
    `onMouseMove` in interface `MouseListener`
  Parameters:
    `sender` - the widget sending the event
    `x` - the x coordinate of the mouse
    `y` - the y coordinate of the mouse

### onMouseUp

    public void onMouseUp(Widget sender,
                          int x,
                          int y)

  Description copied from interface: `MouseListener`
  Fired when the user releases the mouse button over a widget.

  Specified by:
    `onMouseUp` in interface `MouseListener`
  Parameters:
    `sender` - the widget sending the event
    `x` - the x coordinate of the mouse
    `y` - the y coordinate of the mouse

### setHTML

    public void setHTML(java.lang.String html)

  Sets the html string inside the caption. Use `DecoratedPopupPanel.setWidget(Widget)` to set the contents inside the `DialogBox`.

  Specified by:
    `setHTML` in interface `HasHTML`
  Parameters:
    `html` - the object's new HTML

### setText

    public void setText(java.lang.String text)

  Sets the text inside the caption. Use `DecoratedPopupPanel.setWidget(Widget)` to set the contents inside the `DialogBox`.

  Specified by:
    `setText` in interface `HasText`
  Parameters:
    `text` - the object's new text

### doAttachChildren

    protected void doAttachChildren()

  Description copied from class: `Widget`
  If a widget implements HasWidgets, it must override this method and call onAttach() for each of its child widgets.

  Overrides:
    `doAttachChildren` in class `Panel`
  See Also:
    `Widget.onAttach()`

### doDetachChildren

    protected void doDetachChildren()

  Description copied from class: `Widget`
  If a widget implements HasWidgets, it must override this method and call onDetach() for each of its child widgets.

  Overrides:
    `doDetachChildren` in class `Panel`
  See Also:
    `Widget.onDetach()`

### onEnsureDebugId

    protected void onEnsureDebugId(java.lang.String baseID)

  Affected Elements:
  - -caption = text at the top of the `DialogBox`.
  - -content = the container around the content.

  Overrides:
    `onEnsureDebugId` in class `UIObject`
  Parameters:
    `baseID` - the base ID used by the main element
  See Also:
    `UIObject.onEnsureDebugId(String)`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD